Get the concepts. Add a query parameter for each column to filter on. If you are not an administrator, you must give project_id.
Query parameters
-
Get only the concepts of this project
-
Get only the concepts of this concept folder
-
With any value, get only the concepts that have a task assigned to you.
-
Page to get, answered as an object with data, total, nb_pages, limit, offset and page. Without page nor limit, the route returns the full list.
-
Number of rows in a page, or in a request of a cursor walk
-
Without page, id of the last row of the previous request. With limit, it walks the whole list from the newest created row to the oldest, request after request, until one returns fewer rows than limit
GET
/data/concepts
curl
curl -X GET "http://api.example.com/data/concepts?project_id=a24a6ea4-ce75-4665-a070-57453082c25&parent_id=b35b7fb5-df86-5776-b181-68564193d36" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/concepts"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"parent_id": "b35b7fb5-df86-5776-b181-68564193d36"
}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "Character Design",
"description": "Main character concept art",
"project_id": "b35b7fb5-df86-5776-b181-68564193d360",
"parent_id": "c46c80c6-e097-6887-c292-79675204e470",
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:30:00Z"
}
]